cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/rental_assets/RENTAL_ASSET_ID" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.rental_assets.get_rental_asset("RENTAL_ASSET_ID")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.getRentalAsset('RENTAL_ASSET_ID');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->getRentalAsset('RENTAL_ASSET_ID');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.rental_assets.rental_assets_dto.RentalAssetsDto.RentalAsset;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RentalAsset> response = client.rentalAssets().getRentalAsset("RENTAL_ASSET_ID");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.GetRentalAssetAsync("RENTAL_ASSET_ID");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.getRentalAsset('RENTAL_ASSET_ID');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().GetRentalAsset(context.Background(), "RENTAL_ASSET_ID", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"rental_asset": {
"activity_logs": "<array>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_name": null,
"item": null,
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"rental_asset_availability": "<array>",
"rental_asset_custom_availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"rental_asset_profile": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>",
"use_custom_availability": true,
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Rental assets
Retrieve a rental asset
Returns one rental asset under rental_asset.
GET
/
rental_assets
/
{rental_asset_uuid}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/rental_assets/RENTAL_ASSET_ID" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.rental_assets.get_rental_asset("RENTAL_ASSET_ID")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.getRentalAsset('RENTAL_ASSET_ID');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->getRentalAsset('RENTAL_ASSET_ID');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.rental_assets.rental_assets_dto.RentalAssetsDto.RentalAsset;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RentalAsset> response = client.rentalAssets().getRentalAsset("RENTAL_ASSET_ID");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.GetRentalAssetAsync("RENTAL_ASSET_ID");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.getRentalAsset('RENTAL_ASSET_ID');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().GetRentalAsset(context.Background(), "RENTAL_ASSET_ID", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"rental_asset": {
"activity_logs": "<array>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_name": null,
"item": null,
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"rental_asset_availability": "<array>",
"rental_asset_custom_availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"rental_asset_profile": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>",
"use_custom_availability": true,
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the asset with its profile, status, weekly and custom hours, and custom attributes.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.